capture log close
set more off
program drop _all
macro drop _all
scalar drop _all
clear all


global root "C:\iPEHD"


use "$root/ipehd_el2010_master_1816_counties.dta", clear

global vieh_pc_short "vieh1816_pferde_pc vieh1816_bullen_pc"
global basic "lat_rad lon_rad latlon f_urban1816"
global econ "pop1816_young pop1816_old indu1819_textile_pc occ1816_farm_laborer_t_pc trans1816_freight_pc"


/*********************************/
/* Table 1 (columns 1-6) SCHOOLS */
/*********************************/

regress  f_edu1816_prim_sc_pc  f_rel1816_prot
regress  f_edu1816_prim_sc_pc  f_rel1816_prot   $basic
regress  f_edu1816_prim_sc_pc  f_rel1816_prot   $basic $vieh_pc_short $econ

ivreg2 f_edu1816_prim_sc_pc  (f_rel1816_prot=kmwittenberg), first
ivreg2 f_edu1816_prim_sc_pc  (f_rel1816_prot=kmwittenberg)   $basic, first
ivreg2 f_edu1816_prim_sc_pc  (f_rel1816_prot=kmwittenberg)   $basic $vieh_pc_short $econ, first


/***********************************/
/* Table 2 (columns 1-8) ENROLMENT */
/***********************************/

regress  edu1816_pri_enrol  f_rel1816_prot
regress  edu1816_pri_enrol  f_rel1816_prot   $basic
regress  edu1816_pri_enrol  f_rel1816_prot   $basic $vieh_pc_short $econ 
regress  edu1816_pri_enrol  f_rel1816_prot   $basic $vieh_pc_short $econ f_edu1816_prim_sc_pc

ivreg2 edu1816_pri_enrol  (f_rel1816_prot=kmwittenberg), first 
ivreg2 edu1816_pri_enrol  (f_rel1816_prot=kmwittenberg)   $basic, first
ivreg2 edu1816_pri_enrol  (f_rel1816_prot=kmwittenberg)   $basic $vieh_pc_short $econ, first 
ivreg2 edu1816_pri_enrol  (f_rel1816_prot=kmwittenberg)   $basic $vieh_pc_short $econ f_edu1816_prim_sc_pc, first


/****************************************************************/
/* Table A.1 (upper panel): Descriptive Statistics for Counties */
/****************************************************************/

replace kmwittenberg = kmwittenberg * 100
foreach var in edu1816_pri_enrol f_rel1816_prot f_urban1816 pop1816_young pop1816_old {
  replace `var' = `var' * 100
}

summarize f_rel1816_prot f_edu1816_prim_sc_pc edu1816_pri_enrol kmwittenberg lat_rad lon_rad f_urban1816 pop1816_young pop1816_old  vieh1816_pferde_pc vieh1816_bullen_pc indu1819_textile_pc occ1816_farm_laborer_t_pc trans1816_freight_pc

